summaryrefslogtreecommitdiffstats
path: root/jjb/cperf/cperf-upload-logs-csit.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/cperf/cperf-upload-logs-csit.sh')
-rw-r--r--jjb/cperf/cperf-upload-logs-csit.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/jjb/cperf/cperf-upload-logs-csit.sh b/jjb/cperf/cperf-upload-logs-csit.sh
new file mode 100644
index 000000000..7bf91df8b
--- /dev/null
+++ b/jjb/cperf/cperf-upload-logs-csit.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+LOGS_LOCATION=/tmp/robot_results
+UPLOAD_LOCATION=artifacts.opnfv.org/cperf/cperf-apex-csit-${ODL_BRANCH}/${BUILD_NUMBER}/
+echo "Uploading robot logs to ${UPLOAD_LOCATION}"
+gsutil -m cp -r -v ${LOGS_LOCATION} gs://${UPLOAD_LOCATION} > gsutil.latest_logs.log